yjring yjring - 1 month ago 6
Android Question

Android 6.0 JSONStore init fail using Worklight 6.0.0.2 interim fix 201607021132

We are using Worklight v6.0.0.2 interim fix 201607021132

But we get an error when we use WL.JSONStore.initCollection

unsatisfiedLinkError

This runtime exception is on Android 6.0.

Does WL.JSONStore is not support Android 6.0 in this interim fix?

Answer Source

You should upgrade your project to MobileFirst 7.1 or MobileFirst 8.0 due to this post : https://mobilefirstplatform.ibmcloud.com/blog/2017/01/11/support-plan-for-next-android-ios-mobile-os/